
// Actualiza perfil
function actualizaPerfil(id_perfil, descripcion_perfil, estado_perfil, id_usuario, accion, urlcontrolador){

	let estado_perfil_ = $('input:checkbox[name='+estado_perfil+']:checked').val();
	let descripcion_perfil_ = $('#'+descripcion_perfil).val();

    $.ajax({
        url: urlcontrolador,
        type: 'POST',
        data: "id_perfil="+id_perfil+"&descripcion_perfil="+descripcion_perfil_+"&estado_perfil="+estado_perfil_+"&id_usuario="+id_usuario+"&accion="+accion+"&peticion=ajax",
        success:function(respuesta){

            console.log(respuesta);
            if (respuesta == 'Actualización exitosa') {
	            Swal.fire({
		          icon: 'success',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })
        	}else if(respuesta != ""){

        		Swal.fire({
		          icon: 'info',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })

		        if(respuesta != "Actualización exitosa" && estado_perfil_ != "on"){

		        	$('input:checkbox[name='+estado_perfil+']').click();
		        
		        }

        	}
        
        }
    });

}

// Registra perfil
function registraPerfil(id_usuario, accion, urlcontrolador){

	let estado_perfil_ = $('input:checkbox[name=estado_perfil]:checked').val();
	let descripcion_perfil_ = $('#descripcion_perfil').val();


	 $.ajax({
        url: urlcontrolador,
        type: 'POST',
        data: "descripcion_perfil="+descripcion_perfil_+"&estado_perfil="+estado_perfil_+"&id_usuario="+id_usuario+"&accion="+accion+"&peticion=ajax",
        success:function(respuesta){

            if (respuesta == 'Registro exitoso') {
            	
            	// Limpia descripcion
	        	$('#estado_perfil').click();
	        	$('#descripcion_perfil').val('');
	        	$('#modal_perfiles').modal('hide');

	            Swal.fire({
		          icon: 'success',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })
				
				cargarVista('contenido', 'modulos/perfiles.php?id_usuario='+id_usuario);

        	}else if(respuesta != ""){

        		Swal.fire({
		          icon: 'info',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })	

        	}
        
        }
    });

}